/* *******************
 * overlay.js
 * Implementation for mail and Firefox overlays
 *   rssEditor   <http://rsseditor.mozdev.org/>
 *
 * Author: Jed Brown (quicknote@jedbrown.net)
 * Contributor(s):
 *   Nickolay Ponomarev (asqueella@gmail.com)
 * Maintenance: Leunc WC (lwchk2001@yahoo.com.hk)
 ******************** */


// opens a new floating window
function rsseditor_float()
{
	window.openDialog("chrome://rsseditor/content/rsseditor.xul", "_blank", "chrome,all,dialog=no");
}
////////////////////////////////////////////////////////////////////////////////
// Desc: Opens rsseditor depending on set pref
// Have to add here because Mozilla Suite won't inherit rssEditor.js :(
////////////////////////////////////////////////////////////////////////////////
function rsseditor_open()
{
	var howtopen = 1;

	switch (howtopen)
	{
		case "0": toggleSidebar("viewrssEditorSidebar"); break;
		case "2": rsseditor_tab(); break;
		default: rsseditor_float();
	}
}


// Open rssEditor as a tab
//### taken from Download Manager Tweak dmextension.mozdev.org
function rsseditor_tab()
{
	var rsseditorTab = gBrowser.addTab("chrome://rsseditor/content/rsseditor.xhtml");
	rsseditorTab.setAttribute("rsseditor", "true");
	getBrowser().selectedTab = rsseditorTab;
}
