// const prefs (defined in general.js)
const prefBools = ["smallIcons", "guidReadOnly", "itemPubDateAuto", "lastBuildDateAuto", "publishPubDateAuto", "UTCTime", 
"show.channel.language", "show.channel.copyright", "show.channel.managingeditor", "show.channel.webmaster", "show.channel.pubdate", "show.channel.lastbuilddate", "show.channel.category", "show.channel.generator", "show.channel.docs", "show.channel.cloud", "show.channel.ttl", "show.channel.image", "show.channel.rating", "show.channel.textinput", "show.channel.skiphours", "show.channel.skipdays",
"show.misc.stylesheet",
"show.items.link", "show.items.description", "show.items.author", "show.items.category", "show.items.guid", "show.items.pubdate", "show.items.comments", "show.items.source", "show.items.enclosure"];

function getPrefs()
{
	for (var i in prefBools) document.getElementById(prefBools[i]).checked = prefs.getBoolPref(prefBools[i]);
}

function setPrefs()
{
	for (var i in prefBools) prefs.setBoolPref(prefBools[i], document.getElementById(prefBools[i]).checked);
}

function init()
{
	var buttonApply = document.documentElement.getButton("help");
	buttonApply.accessKey = "A";
	setLabelForNode(buttonApply, localize("Apply"));

	getPrefs();

	moveToCenterPosition();
}